Subject: Re: bug#36444: [PATCH] Improved regexp-opt KEEP-ORDER check

From: Noam Postavsky <[email-masked]>
Date: Thu, 04 Jul 2019 10:18:11 -0400

Mattias Engdegård <[email-masked]> writes:

> Not too fond of that either, really; catch/throw somehow seems more
> heavyweight than warranted by the situation.

I've wondered if it's worth making a lexical variant of catch/throw that
could be compiled as goto for these kind of situations.

> (1) Same as before, but with a comment about what tripped you up:

> (2) Using cl-loop:

Assuming (eval-when-compile (require 'cl-lib)) avoids bootstapping
problems, I think the cl-loop variant is a bit neater; but either way is
fine with me.